﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS600A (1 yr) Aux Trig In Sens IEEE /9500+2Hd
DATE:                  2009-10-14 15:02:32
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       125
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 600A
#          TDS 620A, TDS 640A, TDS 644A, TDS 684A
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Main or Delayed Trigger IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#
#  Required Files:
#        95_4ck_1_aux.jpg  Picture: 9500 CH 1 to UUT CH 1, CH 4 to Aux trig in
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         TRIG SENSITIVITY TESTS
  1.002  RSLT         =
  1.003  HEAD         -2{ AUX IN TRIG: (DC Coupled, 50 MHz)}
  1.004  TARGET
  1.005  CALL         Sub TDS500/600/700 Select Channel IEEE
  1.006  IEEE2        CH[V @Chan]:IMP FIF;SCA 100E-3
  1.007  IEEE2        ACQ:MODE AVE;NUMAV 16;STATE ON

  1.008  IF           ZCMPI(@ModelNum, "TDS 684A")
  1.009  IEEE2        HOR:MAI:SCA 20.0E-9
  1.010  ELSE
  1.011  IEEE2        HOR:MAI:SCA 25.0E-9
  1.012  ENDIF

  1.013  IEEE2        HOR:MOD MAIN
  1.014  IEEE2        TRIG:MAI:MOD NORM;TYP EDGE
  1.015  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
  1.016  IEEE2        TRIG:MAI:EDGE:SLO RISE
  1.017  IEEE2        TRIG:MAI SETL
  1.018  IEEE2        MEASU:METH MINM
  1.019  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE AMPL;STATE ON

  1.020  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  1.021  PIC          95_4ck_1_aux.jpg
  1.022  DISP         The next routine operator intervention occurs
  1.022  DISP         in approximately 1 minutes ...
  1.023  IEEE2        TRIG:MAI SETL
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 250 mV (100 mV/div, 2.5 div).
  1.024  MATH         MEM = 250; MEM1 = MEM

  1.025  DO
  1.026  MATH         MEM = MEM1 + (250 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  1.027  IF           MEM > 5560 || MEM < 4.44
  1.028  MATH         MEM = 250
  1.029  ENDIF

  1.030  9500         mVpp                         50MH           LS    S  L

  1.031  DO
  1.032  IEEE2        [D500]TRIG:MAI SETL
  1.033  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  1.034  UNTIL        @Triggered

  1.035  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
  1.036  MATH         MEM = MEM / 1E-3
  1.037  UNTIL        (MEM >= (248)) && (MEM <= (252))

  1.038  IEEE2        TRIG:MAI:EDGE:SOU AUX
  1.039  MATH         @AmplVpp = MEM1 * 1E-3
  1.040  MATH         @StepVal = (250 / 100) * 1E-3
  1.041  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
  1.042  MEM2         = Rising Slope, Limit: 250 mV @ 50 MHz
  1.043  EVAL   -e @TriggerStable : [MEM2]

  2.001  MATH         MEM = @AmplVpp / 1E-3
  2.002  9500         mVpp                         50MH           LS    S  L
  2.003  IEEE2        TRIG:MAI:EDGE:SLO FALL
  2.004  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
  2.005  MEM2         = Falling Slope, Limit: 250 mV @ 50 MHz
  2.006  EVAL   -e @TriggerStable : [MEM2]

  3.001  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
  3.002  HEAD         -2
  3.003  9500         *                                                 S
  3.004  M9500        *

  3.005  END
